4170 John David Duncan 2011-04-28
Some shells do not allow "return -1"
modified:
storage/ndb/memcache/sandbox.sh.in
4169 John David Duncan 2011-04-27
Allow JTie (and ClusterJ) to build on FreeBSD
modified:
storage/ndb/ndb_configure.m4
4168 John David Duncan 2011-04-26
linking with -ldl: not on all platforms
modified:
storage/ndb/memcache/unit/Makefile.am
storage/ndb/ndb_configure.m4
=== modified file 'storage/ndb/memcache/sandbox.sh.in'
--- a/storage/ndb/memcache/sandbox.sh.in 2011-04-18 20:08:02 +0000
+++ b/storage/ndb/memcache/sandbox.sh.in 2011-04-28 23:58:32 +0000
@@ -99,9 +99,9 @@ memcached_is_running() {
}
test_pid() {
- test -f sandbox/$1 || return -1
+ test -f sandbox/$1 || return 1
SERVERPID=`cat $HOME_BASE/sandbox/$1`
- ps -p "$SERVERPID" > /dev/null || return -1
+ ps -p "$SERVERPID" > /dev/null || return 1
return 0
}
=== modified file 'storage/ndb/ndb_configure.m4'
--- a/storage/ndb/ndb_configure.m4 2011-04-27 04:28:04 +0000
+++ b/storage/ndb/ndb_configure.m4 2011-04-27 23:02:01 +0000
@@ -178,6 +178,7 @@ AC_DEFUN([MYSQL_CHECK_JAVA], [
dnl try to add extra include path
case "$host_os" in
bsdi*) JNI_SUBDIRS="bsdos";;
+ freebsd*) JNI_SUBDIRS="freebsd";;
linux*) JNI_SUBDIRS="linux genunix";;
osf*) JNI_SUBDIRS="alpha";;
solaris*) JNI_SUBDIRS="solaris";;
No bundle (reason: useless for push emails).
| Thread |
|---|
| • bzr push into mysql-5.1-telco-7.2 branch (john.duncan:4168 to 4170) | John David Duncan | 29 Apr |